Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEike Stepper2008-06-25 06:56:27 +0000
committerEike Stepper2008-06-25 06:56:27 +0000
commit81b0171d7dba2747812911d9751acfae8392ebde (patch)
treed2df4c0897a0e9bfc37a3643cc6326f34acefef1 /plugins/org.eclipse.net4j.jms
parent8aafb5876e65d3d2db007f5a491c7187d3f4626d (diff)
downloadcdo-81b0171d7dba2747812911d9751acfae8392ebde.tar.gz
cdo-81b0171d7dba2747812911d9751acfae8392ebde.tar.xz
cdo-81b0171d7dba2747812911d9751acfae8392ebde.zip
[238242] Enable API Tooling
https://bugs.eclipse.org/bugs/show_bug.cgi?id=238242
Diffstat (limited to 'plugins/org.eclipse.net4j.jms')
-rw-r--r--plugins/org.eclipse.net4j.jms/.project6
-rw-r--r--plugins/org.eclipse.net4j.jms/META-INF/MANIFEST.MF12
2 files changed, 12 insertions, 6 deletions
diff --git a/plugins/org.eclipse.net4j.jms/.project b/plugins/org.eclipse.net4j.jms/.project
index d71302b1e7..7f1a4910ad 100644
--- a/plugins/org.eclipse.net4j.jms/.project
+++ b/plugins/org.eclipse.net4j.jms/.project
@@ -20,9 +20,15 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
</buildSpec>
<natures>
<nature>org.eclipse.pde.PluginNature</nature>
<nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
</natures>
</projectDescription>
diff --git a/plugins/org.eclipse.net4j.jms/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.jms/META-INF/MANIFEST.MF
index 9b85abdc50..d64d388725 100644
--- a/plugins/org.eclipse.net4j.jms/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.jms/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.net4j.jms
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 2.0.0.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -10,9 +10,9 @@ Bundle-Activator: org.eclipse.net4j.internal.jms.bundle.OM$Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j;bundle-version="[1.0.0,2.0.0)";visibility:=reexport
+ org.eclipse.net4j;bundle-version="[2.0.0,3.0.0)";visibility:=reexport
Import-Package: javax.jms;version="1.1.0"
-Export-Package: org.eclipse.net4j.internal.jms;version="1.0.0",
- org.eclipse.net4j.internal.jms.protocol;version="1.0.0",
- org.eclipse.net4j.internal.jms.util;version="1.0.0",
- org.eclipse.net4j.jms;version="1.0.0"
+Export-Package: org.eclipse.net4j.internal.jms;version="2.0.0",
+ org.eclipse.net4j.internal.jms.protocol;version="2.0.0",
+ org.eclipse.net4j.internal.jms.util;version="2.0.0",
+ org.eclipse.net4j.jms;version="2.0.0"

Back to the top